1 post
Page 1 of 1
The statement was announced today. Currently there is no compatibility, so DO NOT INSTALL 10.15 if you want to work with PreSonus equipment. "We will provide an update when we have qualified 10.15 for use with our products and what updates are needed to ensure proper compatibility."

https://support.presonus.com/hc/en-us/a ... Statement-

SL16 | 32R | 16R | 16M

Apple routers | iPads | PreSonus SW5E & Motu AVB switches | Alesis iO Docks | Yamaha S112, S15e, S10e, SM12, SM10 | LD Systems Curv 500 | Galaxy Audio Hot Spots | Mac mini | Lenovo Laptop | Studio One Artist 4.5.4 & Pro 3.5.6

1 post
Page 1 of 1

Who is online

Users browsing this forum: No registered users and 4 guests